#include <bits/stdc++.h>
#include <unordered_map>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    string s;
    string s2;
    cin>>s>>s2;

    unordered_map<char, int> slova;
    for(auto &x : s2){
        if(slova.find(x) == slova.end()){
            slova[x] = 0;
        }
    }
    for(auto &x : s){
        if(slova.find(x) != slova.end()){
            slova[x]++;
        }
    }

    string najmanje_slovo;
    int broj_slova = 200000;
    for(auto& it: slova){
        if(it.first != najmanje_slovo[0] && it.second < broj_slova){
            najmanje_slovo = it.first;
            broj_slova = it.second;
        }
    }
    int cenzurisano = 0;
    for(int i=0;s[i]!='\0'; i++){
        if(s[i]==najmanje_slovo[0]){
            s[i] = '*';
            cenzurisano++;
        }
    }
    cout<<cenzurisano<<"\n"<<s;
    return 0;
}